// Mfile.cpp : implementation file
//

#include "stdafx.h"
#include "testsmtp.h"
#include "Mfile.h"
#include "mailmsg.h"
#include "smtpop.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMfile dialog


CMfile::CMfile(CWnd* pParent /*=NULL*/)
	: CDialog(CMfile::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMfile)
	m_szfilename = _T("");
	//}}AFX_DATA_INIT
}


void CMfile::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMfile)
	DDX_Text(pDX, IDC_FILENAME, m_szfilename);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMfile, CDialog)
	//{{AFX_MSG_MAP(CMfile)
	ON_BN_CLICKED(IDC_OPEN_FILE, OnOpenFile)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMfile message handlers

void CMfile::OnOpenFile() 
{
	UpdateData(TRUE);

	CFileDialog fDlg(TRUE, NULL, "*.*", 0, 
		"All Files (*.*) | *.* ||", NULL);

	if ( fDlg.DoModal() == IDOK )
	{
		m_szfilename = fDlg.GetPathName();
		UpdateData(FALSE);
	}

	
}

void CMfile::OnOK() 
{
	CMailmsg display_dlg;
	long ll_handle;
	
	//CDialog::OnOK();
	UpdateData(TRUE);
	ll_handle = pop3_NewHandle();
	if ( ll_handle > 0 )
	{
		BeginWaitCursor();
		if ( pop3_OpenMailFile(ll_handle, m_szfilename) == 0 )
		{
			display_dlg.SetPOPHandle(ll_handle);
			display_dlg.DoModal();
		}
		//pop3_SaveAttachedTo(ll_handle, 1, "test.txt", 1);
		//pop3_SaveAttachedTo(ll_handle, 2, "", 1);
		pop3_Quit(ll_handle);
		EndWaitCursor();
	}
}
