// smtpView.h : interface of the CSmtpView class
//
/////////////////////////////////////////////////////////////////////////////

class CSmtpView : public CFormView
{
protected: // create from serialization only
	CSmtpView();
	DECLARE_DYNCREATE(CSmtpView)

public:
	//{{AFX_DATA(CSmtpView)
	enum { IDD = IDD_TESTSMTP_FORM };
	CListCtrl	m_ListBox;
	CString	m_to;
	CString	m_subject;
	CString	m_msg;
	CString	m_cc;
	CString	m_bcc;
	CString	m_log;
	//}}AFX_DATA

	CString m_domain;
	CString m_smtphost;
	CString m_pop3host;
	CString m_pop3id;
	CString m_smtpid;
	CString m_pop3passwd;
	CImageList    m_imageList;

// Attributes
public:
	CSmtpDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSmtpView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo*);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSmtpView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	long LogonPOP3();
	long LogonSmtp();
	void AddLog(LPCSTR);

// Generated message map functions
protected:
	//{{AFX_MSG(CSmtpView)
	afx_msg void OnMailSend();
	afx_msg void OnSendmail();
	afx_msg void OnMailSetup();
	afx_msg void OnMailQuerymail();
	afx_msg void OnMailListmail();
	afx_msg void OnMailRetrievemail();
	afx_msg void OnMailDeletemail();
	afx_msg void OnMailOpenmailfile();
	afx_msg void OnEditAttachfile();
	afx_msg void OnMailRetrievetofile();
	afx_msg void OnOptionsTracceon();
	afx_msg void OnOptionsTraceoff();
	afx_msg void OnMailMailtop();
	afx_msg void OnMailLastmailread();
	afx_msg void OnOptionsDefaulttimeout();
	afx_msg void OnOptionsProgressbaron();
	afx_msg void OnOptionsProgressbaroff();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in smtpView.cpp
inline CSmtpDoc* CSmtpView::GetDocument()
   { return (CSmtpDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
