// Msetup.cpp : implementation file
//

#include "stdafx.h"
#include "testsmtp.h"
#include "Msetup.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMsetup dialog


CMsetup::CMsetup(CWnd* pParent /*=NULL*/)
	: CDialog(CMsetup::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMsetup)
	m_domain = _T("");
	m_mailid = _T("");
	m_pophost = _T("");
	m_popid = _T("");
	m_poppasswd = _T("");
	m_smtphost = _T("");
	m_username = _T("");
	//}}AFX_DATA_INIT
	CString strSection = "Mail Address";
	CWinApp* pApp = AfxGetApp();
    m_domain = pApp->GetProfileString(strSection, "Domain");
	m_username = pApp->GetProfileString(strSection, "User Name");
	m_mailid = pApp->GetProfileString(strSection, "Smtp id");
	m_pophost = pApp->GetProfileString(strSection, "Pop3 Host");
	m_popid = pApp->GetProfileString(strSection, "Pop3 id");
	m_poppasswd = pApp->GetProfileString(strSection, "Pop3 passwd");
	m_smtphost = pApp->GetProfileString(strSection, "Smtp Host");
}


void CMsetup::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMsetup)
	DDX_Text(pDX, IDC_EDIT_DOMAIN, m_domain);
	DDX_Text(pDX, IDC_EDIT_MID, m_mailid);
	DDX_Text(pDX, IDC_EDIT_PHOST, m_pophost);
	DDX_Text(pDX, IDC_EDIT_PID, m_popid);
	DDX_Text(pDX, IDC_EDIT_PPASS, m_poppasswd);
	DDX_Text(pDX, IDC_EDIT_SHOST, m_smtphost);
	DDX_Text(pDX, IDC_EDIT_USER, m_username);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMsetup, CDialog)
	//{{AFX_MSG_MAP(CMsetup)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMsetup message handlers

void CMsetup::OnOK() 
{
	CString strSection = "Mail Address";

	UpdateData(TRUE);
	CWinApp* pApp = AfxGetApp();

	pApp->WriteProfileString(strSection, "Domain", m_domain);
	pApp->WriteProfileString(strSection, "Smtp id", m_mailid);
	pApp->WriteProfileString(strSection, "User Name", m_username);
	pApp->WriteProfileString(strSection, "Pop3 Host", m_pophost);
	pApp->WriteProfileString(strSection, "Pop3 id", m_popid);
	pApp->WriteProfileString(strSection, "Pop3 passwd", m_poppasswd);
	pApp->WriteProfileString(strSection, "Smtp Host", m_smtphost);

	CDialog::OnOK();
}
